import { Widget } from "@phosphor/widgets";
import { Cell } from "@jupyterlab/cells";
import { CodeEditorWrapper } from "@jupyterlab/codeeditor";
import { INotebookTracker } from "@jupyterlab/notebook";
/**
 * Widget holding the Celltests widget, container for options and editor
 *
 * @class      CelltestsWidget (name)
 */
export declare class CelltestsWidget extends Widget {
    currentActiveCell: Cell;
    notebookTracker: INotebookTracker;
    private editor;
    private rules;
    constructor();
    fetchAndSetTests(): void;
    loadTestsForActiveCell(): void;
    saveTestsForActiveCell(): void;
    deleteTestsForActiveCell(): void;
    loadRulesForCurrentNotebook(): void;
    saveRulesForCurrentNotebook(): void;
    get editorWidget(): CodeEditorWrapper;
}
